Bug 484593 - devkit-power-daemon uses too much CPU
devkit-power-daemon uses too much CPU
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: DeviceKit-power (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 15:19 EST by darrell pfeifer
Modified: 2009-02-10 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 23:40:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darrell pfeifer 2009-02-08 15:19:49 EST
Description of problem:

devkit power daemon is using far too much CPU.

Version-Release number of selected component (if applicable):

005-1.fc11


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

21710 darrell   20   0  517m 201m  30m R  6.6  5.1  35:47.21 firefox                  
31925 root      20   0  362m  47m  11m S  5.6  1.2  21:14.38 Xorg                     
 8239 root      20   0  2444 1092  832 R  1.7  0.0   0:00.21 top                      
 2954 root      20   0  4792 2340 1752 S  1.0  0.1  22:02.76 devkit-power-da          

The previous version didn't seem to have this problem

strace shows the daemon is polling on /proc/timer_stats about once a second, which isn't a great deal. My guess is that the processing of the data from there is what's taking all the time.
Comment 1 Richard Hughes 2009-02-09 08:38:12 EST
I've applied this upstream:

commit 43af3e9dbca9ebfec395a84d97d796729230dff3
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Feb 4 15:06:57 2009 +0000

    bugfix: only enable the wakeups polling if a client requires the data

I'm doing a 006 release today, and I'll stick it in rawhide this afternoon.
Comment 2 darrell pfeifer 2009-02-10 23:40:15 EST
Yes, that fixed it.

Note You need to log in before you can comment on or make changes to this bug.